// components
import SvgIconStyle from '@/components/SvgIconStyle';

// ----------------------------------------------------------------------

const getIcon = (name: string) => (
  <SvgIconStyle src={`/image/${name}.svg`} sx={{ width: 1, height: 1 }} />
);

const ICONS = {
  user: getIcon('ic_user'),
  ecommerce: getIcon('ic_ecommerce'),
  analytics: getIcon('ic_analytics'),
  dashboard: getIcon('ic_dashboard'),
  ic_booking: getIcon('ic_booking'),
};

const navConfig = [
  // GENERAL
  // ----------------------------------------------------------------------
  {
    items: [{ title: 'Dashboard', path: '/dashboard', icon: ICONS.dashboard }],
  },
  {
    items: [{ title: 'Claim', path: '/claim', icon: ICONS.ic_booking }],
  },

  // Membership
  // ----------------------------------------------------------------------
  {
    // subheader: 'DOCTORS & HOSPITALS',
    items: [],
  },
];

export default navConfig;
